0%

dpkg:处理软件包 xxx (--configure)时出错

我的ubuntu是16.04版本,今天安装软件(sudo apt-get install ssh)突然安装不上,有如下提示:
/××××××××××××××××××××××××××
dpkg: 处理软件包 gir1.2-unity-5.0:amd64 (–configure)时出错:
该软件包正处于非常不稳定的状态;
您最好在配置它之前,先重新安装它
正在设置 ssh (1:7.2p2-4ubuntu1) …
在处理时有错误发生:
gir1.2-unity-5.0:amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)
××××××××××××××××××××××××××××/

解决办法如下:
1.将info文件夹更名

1
sudo mv /var/lib/dpkg/info /var/lib/dpkg/info_old  

2再新建一个新的info文件夹

1
sudo mkdir /var/lib/dpkg/info  

3.更新

1
sudo apt-get update  
1
sudo apt-get -f install  

4.执行完上一步操作后会在新的info文件夹下生成一些文件,现将这些文件全部移到info_old文件夹下

1
sudo mv /var/lib/dpkg/info/* /var/lib/dpkg/info_old   

5.把自己新建的info文件夹删掉

1
sudo rm -rf /var/lib/dpkg/info  

6.把以前的info文件夹重新改回名字

1
sudo mv /var/lib/dpkg/info_old /var/lib/dpkg/info   

问题解决。